Package org.apache.tools.ant

# Class ArgumentProcessorRegistry

java.lang.Object
org.apache.tools.ant.ArgumentProcessorRegistry

    public class ArgumentProcessorRegistry
    extends java.lang.Object

The global registry for `ArgumentProcessor`s.

An `ArgumentProcessor` implementation can be registered via the system property `org.apache.tools.ant.ArgumentProcessor`, or via a JDK1.3 'service', by putting the fully qualified name of the implementation into the file `META-INF/services/org.apache.tools.ant.ArgumentProcessor`

Use the system property `ant.argument-processor.debug` to enable the print of debug log.

Since:
  1.9

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ArgumentProcessorRegistry` | `getInstance()` |
`java.util.List<ArgumentProcessor>` | `getProcessors()` |
`void` | `registerArgumentProcessor​(java.lang.Class<? extends ArgumentProcessor> helperClass)` |
`void` | `registerArgumentProcessor​(java.lang.String helperClassName)` |
`void` | `registerArgumentProcessor​(ArgumentProcessor processor)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static ArgumentProcessorRegistry getInstance()

### getProcessors

public java.util.List<ArgumentProcessor> getProcessors()

### registerArgumentProcessor

public void registerArgumentProcessor​(java.lang.String helperClassName) throws BuildException

Throws:
  `BuildException`

### registerArgumentProcessor

public void registerArgumentProcessor​(java.lang.Class<? extends ArgumentProcessor> helperClass) throws BuildException

Throws:
  `BuildException`

### registerArgumentProcessor

public void registerArgumentProcessor​(ArgumentProcessor processor)